using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.Serialization.Formatters.Binary;
using System.IO;

namespace Serialization
{
	public partial class Form1 : Form
	{
		DataTable m_product;
		DataTable m_providers;

		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			SqlConnection conn = new SqlConnection("data source=wxpvm;initial catalog=adventureworks;integrated security=true");
			SqlCommand comm = new SqlCommand("select * from production.product", conn);

			m_product = new DataTable();
			m_product.TableName = "product";

			using (conn)
			{
				conn.Open();
				SqlDataReader reader = comm.ExecuteReader();

				m_product.Load(reader);
			}

			dgProduct.DataSource = m_product;

		}

		private void button1_Click(object sender, EventArgs e)
		{
			m_product.WriteXml(@"C:\Projects\ADO2Demo\Serialization\Product.xml");
		}

		private void button2_Click(object sender, EventArgs e)
		{
			BinaryFormatter formater = new BinaryFormatter();
			FileStream fs = new FileStream(@"C:\ProjectS\ado2dEMO\Serialization\Product.dat", FileMode.Create, FileAccess.Write);
			m_product.RemotingFormat = SerializationFormat.Xml;
			formater.Serialize(fs, m_product);
		}

		private void button3_Click(object sender, EventArgs e)
		{

			BinaryFormatter formater = new BinaryFormatter();
			FileStream fs = new FileStream(@"C:\ProjectS\ado2dEMO\Serialization\Product.bin", FileMode.Create, FileAccess.Write);
			m_product.RemotingFormat = SerializationFormat.Binary;
			formater.Serialize(fs, m_product);
		}

	}
}